Share via


Bulletin de sécurité Microsoft MS16-069 - Critique

Mise à jour de sécurité cumulative pour JScript et VBScript (3163640)

Publication : 14 juin 2016

Version : 1.0

Résumé

Cette mise à jour de sécurité résout les vulnérabilités dans les moteurs de script JScript et VBScript dans Microsoft Windows. Les vulnérabilités peuvent autoriser l’exécution de code à distance si un utilisateur visite un site web spécialement conçu. Un attaquant qui a réussi à exploiter ces vulnérabilités pourrait obtenir les mêmes droits d’utilisateur que l’utilisateur actuel. Si l’utilisateur actuel est connecté avec des droits d’utilisateur administratifs, un attaquant qui a réussi à exploiter ces vulnérabilités peut prendre le contrôle d’un système affecté. Un attaquant peut alors installer des programmes, afficher, modifier ou supprimer des données, ou créer des comptes avec des droits d’utilisateur complets.

Cette mise à jour de sécurité est évaluée critique pour les versions affectées des moteurs de script JScript et VBScript sur les versions prises en charge de Windows Vista, et Modéré sur Windows Server 2008 et Windows Server 2008 R2. Pour plus d’informations, consultez la section AffectedSoftware .

La mise à jour résout les vulnérabilités en modifiant la façon dont les moteurs de script JScript et VBScript gèrent les objets en mémoire. Pour plus d’informations sur les vulnérabilités, consultez la section VulnerabilityInformation .

Pour plus d’informations sur cette mise à jour, consultez l’article de la Base de connaissances Microsoft 3163640.

Logiciel affecté

Les versions suivantes de JScript et VBScript sont affectées par les vulnérabilités présentées dans ce bulletin. Les versions ou éditions antérieures qui ne sont pas répertoriées sont passées par leur cycle de vie de support ou ne sont pas affectées.

Système d’exploitation Composant Impact maximal sur la sécurité Évaluation de gravité agrégée Mises à jour remplacé*
Windows Vista
Windows Vista Service Pack 2 VBScript 5.7 (3158364) Exécution de code à distance Critique 3158991 dans MS16-053
Windows Vista x64 Edition Service Pack 2 VBScript 5.7 (3158364) Exécution de code à distance Critique 3158991 dans MS16-053
Windows Server 2008
Windows Server 2008 pour systèmes x32 bits Service Pack 2 VBScript 5.7 (3158364) Exécution de code à distance Modéré 3158991 dans MS16-053
Windows Server 2008 pour systèmes x64 Service Pack 2 VBScript 5.7 (3158364) Exécution de code à distance Modéré 3158991 dans MS16-053
Windows Server 2008 pour les systèmes Itanium Service Pack 2 VBScript 5.7 (3158364) Exécution de code à distance Modéré 3158991 dans MS16-053
Option d’installation server Core
Windows Server 2008 pour systèmes 32 bits Service Pack 2 (installation Server Core) VBScript 5.7 (3158364) Exécution de code à distance Modéré 3158991 dans MS16-053
Windows Server 2008 pour systèmes x64 Service Pack 2 (installation server Core) VBScript 5.7 (3158364) Exécution de code à distance Modéré 3158991 dans MS16-053
Windows Server 2008 R2 pour systèmes x64 Service Pack 1 (installation server Core) JScript 5.8 et VBScript 5.8 (3158363) Exécution de code à distance Modéré 3155413 dans MS16-053

*La colonne Mises à jour remplacée affiche uniquement la dernière mise à jour dans n’importe quelle chaîne de mises à jour remplacées. Pour obtenir la liste complète des mises à jour remplacées, accédez au catalogue Microsoft Update, recherchez le numéro de mise à jour Ko, puis affichez les détails de la mise à jour (les informations remplacées sont fournies sous l’onglet Détails du package).

Faq sur la mise à jour

Une fois que je connais la version du moteur de script JScript ou VBScript installée sur mon système, où puis-je obtenir la mise à jour ?
Les logiciels concernés de ce bulletin s’appliquent aux systèmes exécutant Internet Explorer 7 ou version antérieure. Les clients disposant de systèmes exécutant Internet Explorer 8 ou version ultérieure doivent appliquer la mise à jour cumulative d’Internet Explorer (MS16-063), qui traite également des vulnérabilités abordées dans ce bulletin.

Pourquoi voir à la fois JScript.dll et VBScript.dll dans les packages pour cette mise à jour de sécurité cumulative ?
Cette mise à jour de sécurité est fournie en tant que mise à jour cumulative pour les moteurs de script JScript et VBScript. Bien que les deux moteurs soient inclus dans cette version, les composants affectés par les correctifs de sécurité couverts par ce bulletin sont répertoriés ci-dessus dans la section AffectedSoftware.

Comment faire déterminer quelles versions des moteurs de script JScript et VBScript sont installées sur mon système ?
Les moteurs de script JScript et VBScript sont installés avec les versions prises en charge de Microsoft Windows. En outre, l’installation d’une version plus récente d’Internet Explorer sur un système peut modifier les versions des moteurs de script JScript et VBScript installés.

Pour déterminer les versions des moteurs de script JScript ou VBScript installées sur votre système, procédez comme suit :

  1. Ouvrez l’Explorateur Windows.
  2. Accédez au répertoire %systemroot%\system32 .
  3. Pour VBScript, cliquez avec le bouton droit sur vbscript.dll, sélectionnez Propriétés, puis cliquez sur l’onglet Détails .
  4. Pour JScript, cliquez avec le bouton droit sur jscript.dll, sélectionnez Propriétés, puis cliquez sur l’onglet Détails .

Le numéro de version est répertorié dans le champ Version du fichier. Si votre version de fichier démarre avec la version 5.8, par exemple 5.8.7600.16385, VBScript 5.8 est installé sur votre système.

Une fois que je connais les versions du moteur de script JScript ou VBScript installées sur mon système, où puis-je obtenir la mise à jour ?
Les logiciels concernés de ce bulletin s’appliquent aux systèmes sans Internet Explorer installés et aux systèmes avec Internet Explorer 7 ou versions antérieures installées. Les clients disposant de systèmes exécutant Internet Explorer 8 ou version ultérieure doivent appliquer la mise à jour cumulative d’Internet Explorer (MS16-063), qui traite également des vulnérabilités abordées dans ce bulletin.

Évaluations de gravité et identificateurs de vulnérabilité

Les évaluations de gravité suivantes supposent l’impact maximal potentiel de la vulnérabilité. Pour plus d’informations sur la probabilité, dans les 30 jours suivant la publication de ce bulletin de sécurité, de l’exploitabilité de la vulnérabilité par rapport à son impact sur la gravité et la sécurité, consultez l’index exploitabilité dans le résumé du bulletin de juin.

Évaluation de la gravité des vulnérabilités et impact maximal sur la sécurité par les logiciels affectés
Logiciel affecté Vulnérabilité d’altération de la mémoire du moteur de script - CVE-2016-3205 Vulnérabilité d’altération de la mémoire du moteur de script - CVE-2016-3206 Vulnérabilité d’altération de la mémoire du moteur de script - CVE-2016-3207 Évaluation de gravité agrégée
VBScript 5.7
Windows Vista Service Pack 2 (3158364) Exécution de code distant critique Exécution de code distant critique Exécution de code distant critique Critique
Windows Vista x64 Edition Service Pack 2 (3158364) Exécution de code distant critique Exécution de code distant critique Exécution de code distant critique Critique
Windows Server 2008 pour systèmes 32 bits Service Pack 2 (3158364) Modérer l’exécution du code distant Modérer l’exécution du code distant Modérer l’exécution du code distant Moderate
Windows Server 2008 pour systèmes x64 Service Pack 2 (3158364) Modérer l’exécution du code distant Modérer l’exécution du code distant Modérer l’exécution du code distant Moderate
Windows Server 2008 pour les systèmes Itanium Service Pack 2 (3158364) Modérer l’exécution du code distant Modérer l’exécution du code distant Modérer l’exécution du code distant Moderate
JScript 5.8 et VBScript 5.8
Windows Server 2008 R2 pour systèmes x64 Service Pack 1 (installation server Core uniquement) (3158363) Modérer l’exécution du code distant Modérer l’exécution du code distant Modérer l’exécution du code distant Moderate

Informations sur la vulnérabilité

Vulnérabilités de corruption de la mémoire du moteur de script multiples

Plusieurs vulnérabilités d’exécution de code à distance existent de la façon dont les moteurs JScript 9, JScript et VBScript s’affichent lors de la gestion des objets en mémoire dans Internet Explorer. Les vulnérabilités peuvent endommager la mémoire de telle sorte qu’un attaquant puisse exécuter du code arbitraire dans le contexte de l’utilisateur actuel. Un attaquant qui a réussi à exploiter les vulnérabilités pourrait obtenir les mêmes droits d’utilisateur que l’utilisateur actuel. Si l’utilisateur actuel est connecté avec des droits d’utilisateur administratifs, un attaquant qui a réussi à exploiter les vulnérabilités peut prendre le contrôle d’un système affecté. Un attaquant peut alors installer des programmes, afficher, modifier ou supprimer des données, ou créer des comptes avec des droits d’utilisateur complets.

Dans un scénario d’attaque basé sur le web, un attaquant peut héberger un site web spécialement conçu pour exploiter les vulnérabilités via Internet Explorer, puis convaincre un utilisateur d’afficher le site web. Un attaquant peut également incorporer un contrôle ActiveX marqué comme « sécurisé pour l’initialisation » dans une application ou un document Microsoft Bureau qui héberge le moteur de rendu Internet Explorer. L’attaquant peut également tirer parti des sites web compromis et des sites web qui acceptent ou hébergent du contenu ou des publicités fournis par l’utilisateur. Ces sites web peuvent contenir du contenu spécialement conçu qui pourrait exploiter les vulnérabilités.

La mise à jour résout les vulnérabilités en modifiant la façon dont les moteurs de script JScript 9, JScript et VBScript gèrent les objets en mémoire. Le tableau suivant contient des liens vers l’entrée standard pour chaque vulnérabilité dans la liste Des vulnérabilités et des expositions courantes :

Titre de la vulnérabilité Numéro CVE Divulgation publique Exploités
Vulnérabilité d’altération de la mémoire du moteur de script CVE-2016-3205 Non Non
Vulnérabilité d’altération de la mémoire du moteur de script CVE-2016-3206 Non Non
Vulnérabilité d’altération de la mémoire du moteur de script CVE-2016-3207 Non Non

Facteurs d’atténuation

Microsoft n’a pas identifié de facteurs d’atténuation pour cette vulnérabilité.

Solutions de contournement

Les solutions de contournement suivantes peuvent être utiles dans votre situation :

  • Restreindre l’accès aux VBScript.dll et aux JScript.dll

    • Pour les systèmes 32 bits, entrez la commande suivante à l’invite de commandes d’administration :

          takeown /f %windir%\system32\vbscript.dll   
          cacls %windir%\system32\vbscript.dll /E /P everyone:N  
          cacls %windir%\system32\jscript.dll /E /P everyone:N
      
    • Pour les systèmes 64 bits, entrez la commande suivante à l’invite de commandes d’administration :

          takeown /f %windir%\syswow64\vbscript.dll   
          cacls %windir%\syswow64\vbscript.dll /E /P everyone:N  
          cacls %windir%\syswow64\jscript.dll /E /P everyone:N
      

    Impact de la solution de contournement. Les sites web qui utilisent VBScript ou JScript peuvent ne pas fonctionner correctement.

    Comment annuler la solution de contournement.

    • Pour les systèmes 32 bits, entrez la commande suivante à l’invite de commandes d’administration :

          cacls %windir%\system32\vbscript.dll /E /R everyone  
          cacls %windir%\system32\jscript.dll /E /R everyone
      
    • Pour les systèmes 64 bits, entrez la commande suivante à l’invite de commandes d’administration :

          cacls %windir%\syswow64\vbscript.dll /E /R everyone  
          cacls %windir%\syswow64\jscript.dll /E /R everyone
      

Déploiement des mises à jour de sécurité

Pour plus d’informations sur le déploiement des mises à jour de sécurité, consultez l’article de la Base de connaissances Microsoft référencé dans le résumé exécutif.

Remerciements

Microsoft reconnaît les efforts de ceux de la communauté de sécurité qui nous aident à protéger les clients par le biais d’une divulgation coordonnée des vulnérabilités. Pour plus d’informations, consultez accusés de réception.

Exclusion de responsabilité

Les informations fournies dans la Base de connaissances Microsoft sont fournies « telles quelles » sans garantie. Microsoft exclut toutes les garanties, expresses ou implicites, y compris les garanties de marchandabilité et d’adéquation à un usage particulier. En aucun cas, Microsoft Corporation ou ses fournisseurs ne sont responsables de dommages-intérêts, y compris les dommages directs, indirects, accessoires, accessoires, les pertes de bénéfices commerciaux ou les dommages spéciaux, même si Microsoft Corporation ou ses fournisseurs ont été informés de la possibilité de tels dommages- intérêts. Certains États n’autorisent pas l’exclusion ou la limitation de responsabilité pour des dommages indirects ou accessoires afin que la limitation ci-dessus ne s’applique pas.

Révisions

  • V1.0 (14 juin 2016) : Bulletin publié.

Page générée 2016-06-15 12 :44-07 :00.